Package com.smartgwt.client.widgets.form.fields.events

# Class PendingStatusChangedEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<PendingStatusChangedHandler>
com.smartgwt.client.widgets.form.fields.events.PendingStatusChangedEvent

All Implemented Interfaces:
  `Cancellable`

public class PendingStatusChangedEvent extends AbstractSmartEvent<PendingStatusChangedHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PendingStatusChangedEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  `false` to cancel the default behavior.
  `protected void`
  `dispatch(PendingStatusChangedHandler handler)`
  `static <S extends HasPendingStatusChangedHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<PendingStatusChangedHandler>`
  `getAssociatedType()`
  `FormItem`
  `getFiringItem()`
  Returns the `FormItem` firing the event.
  `DynamicForm`
  `getForm()`
  the managing `DynamicForm` instance.
  `FormItem`
  `getItem()`
  the form item itself (also available as "this").
  `Object`
  `getNewValue()`
  the current form item value.
  `boolean`
  `getPendingStatus()`
  `true` if the item should show its pending visual state; `false` otherwise.
  `static GwtEvent.Type<PendingStatusChangedHandler>`
  `getType()`
  Gets the type associated with this event.
  `Object`
  `getValue()`
  the value that would be restored by a call to `DynamicForm.resetValues()`.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PendingStatusChangedEvent

    public PendingStatusChangedEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringItem

    public FormItem getFiringItem()
    Returns the `FormItem` firing the event.
    Returns:
      FormItem firing the event

  - ### fire

    public static <S extends HasPendingStatusChangedHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<PendingStatusChangedHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(PendingStatusChangedHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<PendingStatusChangedHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<PendingStatusChangedHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<PendingStatusChangedHandler>`

  - ### cancel

    public void cancel()
    `false` to cancel the default behavior.
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getForm

    public DynamicForm getForm()
    the managing `DynamicForm` instance.
    Returns:
      the managing `DynamicForm` instance.

  - ### getItem

    public FormItem getItem()
    the form item itself (also available as "this").
    Returns:
      the form item itself (also available as "this").

  - ### getPendingStatus

    public boolean getPendingStatus()
    `true` if the item should show its pending visual state; `false` otherwise.
    Returns:
      `true` if the item should show its pending visual state; `false` otherwise.

  - ### getNewValue

    public Object getNewValue()
    the current form item value.
    Returns:
      the current form item value.

  - ### getValue

    public Object getValue()
    the value that would be restored by a call to `DynamicForm.resetValues()`.
    Returns:
      the value that would be restored by a call to `DynamicForm.resetValues()`.